#!/bin/bash
#
# Script that fixes broken icons in Serendipity Apps after a software update on Mac OS X Mavericks
#

error_out()
{
        echo "$@" 1>&2
}

SERENDIPITY_DIR="/Applications/Serendipity"
if [ ! -z "$1" ]; then
    SERENDIPITY_DIR="$1"
fi

cd "$SERENDIPITY_DIR"
if [ $? != 0 ]; then
    error_out "Could not change directory to $SERENDIPITY_DIR maybe your Serendipity Product is installed somewhere else"
fi

echo "Fixing permissions for all Serendipity apps in $SERENDIPITY_DIR"
find . -name '*.app' -print0 | xargs -0 -I @ -n 1 touch @/Contents/Info.plist

echo "Rebuilding Launch Services cache"
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/Support/lsregister -domain local -domain user -domain system -kill -r

echo "All done"
